.. _string: ../../str

.. _vim.fault.InvalidDeviceSpec: ../../vim/fault/InvalidDeviceSpec.rst


vim.fault.InvalidDeviceOperation
================================
    :extends:

        `vim.fault.InvalidDeviceSpec`_

  An InvalidDeviceOperation exception is thrown if virtual machine creation or configuration fails because an invalid operation is attempted on the given device.

Attributes:

    badOp (`str`_): is optional.

    badFileOp (`str`_): is optional.




